Subject: Re: [PATCH V3 1/2] clk: Add devm_clk_bulk_get_optional_enable() helper

From: Jakub Kicinski <[email-masked]>
Date: Tue, 20 Jan 2026 18:42:02 -0800

On Sat, 17 Jan 2026 00:57:23 +0530 Suraj Gupta wrote:
> Add a new managed clock framework helper function that combines getting
> optional bulk clocks and enabling them in a single operation.
> 
> The devm_clk_bulk_get_optional_enable() function simplifies the common
> pattern where drivers need to get optional bulk clocks, prepare and enable
> them, and have them automatically disabled/unprepared and freed when the
> device is unbound.
> 
> This new API follows the established pattern of
> devm_clk_bulk_get_all_enabled() and reduces boilerplate code in drivers
> that manage multiple optional clocks.

Michael, Stephen, if this is okay with you could we get an ACK?
https://lore.kernel.org/all/[email-masked]/
I can try to apply it on top of -rc1 in case you want to pull it 
into the clk tree as well?